Xcode6.4でAlcatrazを動かす

xcode6.4-alcatraz

公開日:  最終更新日:2015/07/07

先日、Xcode6.4にあげたらまたプラグインやら何やら動かなくなったので、とりあえずAlcatrazを動かせるようになるまでのお話。

 

バージョン上げることになんか毎回恒例になってきてる気がします。

sponcer link

 

とりあえず困ったときの再インストール!

ってことで以下を実行してインストールを行ってみる。

 

そしてXcodeを再起動してみるが未だ治らず・・・

ぱっとみ6.4サポートしてるようにみえるんだけどなぁ・・・

と思って以下を見てみたところ

Xcode 6.4 Support #307

なんか、コマンド実行してみそ的なことが書いてあったので、実行してみた

 

 

これで、再起動したところ、appleからじゃないプラグインをloadしますか?みたいなダイアログが表示されるので、「Load bundles」を選択する。xcode6.4-load-bundle

すると無事、Alcatrazが表示されるようになりましたとさ。

 

ちなみに、以下のコマンドを実行すると、読み込み許可している一覧をみれるっぽい

 

多分、自分がプラグイン読み込めなかったのは、skippedにAlcatrazが入っていたせいかなと思っている。

 

今後プラグインが読み込めなくて困ったときはdefaults deleteをためしてみようっ!

 

 

 

 

追記

困っていたらiOS神エバンジェリストからこんなツールを教えていただいた

【ShellScript】Add Compatibility to XcodePlugins

次回からはこれを実行しておけばプラグイン周りに困ることはなくなりそう!!

ありがとうございます!!

  • このエントリーをはてなブックマークに追加
  • Pocket
PAGE TOP ↑